%define release 6mdk

Summary: A Gnome filemanager similar to the Norton Commander(TM) 
Name: gnome-commander
Version: 1.1.6
Release: %release
URL: http://www.freesoftware.fsf.org/gcmd/
Source0: http://savannah.nongnu.org/download/gcmd/gcmd.pkg/%version/%{name}-%{version}.tar.bz2
Source1: %{name}-48.png
Source2: %{name}-32.png
Source3: %{name}-16.png
Patch: gnome-commander-1.1.6-gtk2.4.patch.bz2
Patch1: gnome-commander-1.1.6-gcc4.patch.bz2
License: GPL
Group: File tools
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libgnomeui2-devel 
BuildRequires: gnome-vfs2-devel
BuildRequires: libxml2-devel
BuildRequires: libGConf2-devel
#gw patched
BuildRequires: flex
BuildRequires: intltool

%description

Gnome Commander is a filemanager that just like the classical Norton
commander (TM) lets you do everything with the keyboard. It can
perform all standard file operations and some extra features like ftp
support.

%prep
%setup -q -n %name-%version
%patch -p1
cd src
%patch1
cd ..
aclocal
autoconf
intltoolize --force

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
rm -f %buildroot%_prefix/lib/gnome-commander/*.a
rm -f %buildroot%_prefix/lib/gnome-commander/plugins/*.a
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
command="%{_bindir}/gnome-commander" \
icon="%{name}.png" \
needs="X11" \
section="Applications/File tools" \
title="Gnome Commander" \
longtitle="Filemanager similar to the Norton Commander(TM)"

EOF

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%_bindir/gnome-commander
%_bindir/gcmd-block
%_prefix/lib/gnome-commander/
%_datadir/pixmaps/*
%_datadir/applications/gnome-commander.desktop
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Aug  9 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-6mdk
- fix build

* Tue Jun  7 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-5mdk
- fix buildrequires

* Mon Jun  6 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-4mdk
- patch for gcc 4

* Fri May  6 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-3mdk
- fix build on x86_64

* Tue May  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-2mdk
- patch from CVS to make it compile with gtk 2.4

* Tue Jan 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- new version

* Mon Jan 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- update file list
- new version

* Tue Nov 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.4-1mdk
- new version

* Sun Nov 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- update file list
- new version

* Mon Nov 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- new version

* Thu Nov  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Mon Nov  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- needs GNOME2
- new version

* Sat Jun 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- autoconf 2.5 macro
- new version

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new version

* Thu Mar 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.12-1mdk
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-4mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-3mdk
- fix buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-2mdk
- fix buildrequires

* Tue Feb 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- new version

* Mon Jan 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-3mdk
- rebuild against latest ssl

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-2mdk
- add missing file

* Fri Jul 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-1mdk
- fix version, 0.9.8 final instead of pre2
- new url

* Tue Jul 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.8-0.pre2.1mdk
- 0.9.8pre2

* Sun Jun  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- fix description

* Sat Jun  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- binary was renamed to gnome-commander
- 0.9.7
- don't compress the png icons

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-2mdk
- gcc 3.1

* Sun Apr  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- initial Mandrake adaptions

* Sat Mar  9 2002 Marcus Bjurman <marbj499@student.liu.se>
- Pumped up the version nr

* Sun Nov  4 2001 Marcus Bjurman <marbj499@student.liu.se>
- Initial build.


